#!/bin/sh
#==================================================
# EasySTAT (dim) v.1.0
#==================================================
#
# STATS env contains the list of stat commands 
# to be collected in the following sysntax
# "Name1!Command1[; NameN!CommandN]
#
# Change default STATS list according your needs...
# Have fun! :)
# -Dimitri
#
PATH=/etc/STATsrv/bin:$PATH
LD_LIBRARY_PATH=/etc/STATsrv/lib:$LD_LIBRARY_PATH
export PATH LD_LIBRARY_PATH

STATS="Lvmstat!/etc/STATsrv/bin/vmstat %i"
STATS="$STATS; LcpuSTAT!/etc/STATsrv/bin/cpuSTAT.sh %i"
STATS="$STATS; LioSTAT!/etc/STATsrv/bin/ioSTAT.sh %i"
STATS="$STATS; LnetLOAD!/etc/STATsrv/bin/netLOAD.sh %i"
STATS="$STATS; LPrcLOAD!/etc/STATsrv/bin/ProcLOAD.sh %i"

Usage() {
# Usage: 
#   $ EasySTAT.sh  OutDIR IntervalSec NbHours [ Title Host Base Batch ]
#

echo " Usage: "
echo "   $ EasySTAT.sh  OutDIR IntervalSec NbHours [ Title Host Base Batch ]"
exit
}

###if [ "$1" == "-h" ] || [ "$1" == "-?" ] || [ "X$1" == "X" ]; 
if [ "$1" = "-h" ] || [ "$1" = "-?" ] || [ "X$1" = "X" ]; 
  then Usage; 
fi

export PATH STATS
cd /etc/STATsrv/bin
exec /etc/STATsrv/bin/WebX /etc/STATsrv/bin/x.EasySTAT -Dir "$1" -Timeout "$2" -Hours "$3" -Title "$4" -Host "$5" -Base "$6" -Batch "$7"
